[arch-commits] Commit in wireless_tools/trunk (PKGBUILD)

Tobias Powalowski tpowa at archlinux.org
Sun May 10 03:32:44 EDT 2009


    Date: Sunday, May 10, 2009 @ 03:32:43
  Author: tpowa
Revision: 38713

upgpkg: wireless_tools 29-3

Modified:
  wireless_tools/trunk/PKGBUILD

----------+
 PKGBUILD |   11 +++--------
 1 file changed, 3 insertions(+), 8 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-05-10 07:24:54 UTC (rev 38712)
+++ PKGBUILD	2009-05-10 07:32:43 UTC (rev 38713)
@@ -3,7 +3,7 @@
 # Contributer: Jason Chu <jchu at xentac.net>
 pkgname=wireless_tools
 pkgver=29
-pkgrel=2
+pkgrel=3
 pkgdesc="Wireless Tools"
 arch=(i686 x86_64)
 url="http://www.hpl.hp.com/personal/Jean_Tourrilhes/Linux/Tools.html"
@@ -15,13 +15,8 @@
          '027576534885b8d5dded9be546057b12')
 
 build() {
-  cd $startdir/src/wireless_tools.29
+  cd $srcdir/wireless_tools.29
   make || return 1
-  mkdir -p $startdir/pkg/usr/sbin
-  mkdir -p $startdir/pkg/usr/lib
-  mkdir -p $startdir/pkg/usr/include
-  mkdir -p $startdir/pkg/usr/man/man8
-#  make INSTALL_DIR=$startdir/pkg/usr/sbin/ INSTALL_LIB=$startdir/pkg/usr/lib/ INSTALL_INC=$startdir/pkg/usr/include/ INSTALL_MAN=$startdir/pkg/usr/man/ install
-  make PREFIX=$startdir/pkg/usr install
+  make INSTALL_DIR=$pkgdir/usr/sbin INSTALL_LIB=$pkgdir/usr/lib INSTALL_INC=$pkgdir/usr/include INSTALL_MAN=$pkgdir/usr/share/man install || return 1
   install -D -m644 ../wireless.conf.d $startdir/pkg/etc/conf.d/wireless
 }



More information about the arch-commits mailing list